package file

import (
	"encoding/json"
	"fmt"
	"io/ioutil"
	"log"
	"net/http"

	"forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-server/internal/common"
	"forge.grandlyon.com/web-et-numerique/factory/llle_project/backoffice-server/internal/constants"
)

var (
	imageFolder = common.StringValueFromEnv("IMAGE_FOLDER", "")
)

func GetEcogestureImages(w http.ResponseWriter, r *http.Request) {
	filenames, err := fileNamesFromFolder(imageFolder + "/ecogesture")
	jsondata, err := json.Marshal(filenames)
	if err != nil {
		fmt.Printf("Error: %s", err.Error())
		return
	}

	w.Header().Set(constants.ContentType, constants.Json)
	w.Write(jsondata)
	log.Printf("| get image names | %v", r.RemoteAddr)
}

func fileNamesFromFolder(folder string) (filenames []string, err error) {
	files, err := ioutil.ReadDir(folder)
	if err != nil {
		return nil, err
	}

	for _, file := range files {
		filenames = append(filenames, file.Name())
	}
	return filenames, nil
}
