package file

import (
	"encoding/json"
	"log"
	"os"
	"testing"
)

func TestFilenamesFromFolder(t *testing.T) {

	// Create temporary file
	err := os.MkdirAll("test", 0755)
	if err != nil {
		log.Fatal(err)
	}
	// Create some files
	os.Create("test/file1")
	os.Create("test/file2")
	os.Create("test/file3")
	expected := `["file1","file2","file3"]`

	filenames, err := fileNamesFromFolder("test")
	if err != nil {
		t.Errorf(`error: %s`, err)
		return
	}
	jsonData, err := json.Marshal(filenames)
	if err != nil {
		t.Errorf(`error: %s`, err)
		return
	}
	if string(jsonData) != expected {
		t.Errorf(`unexpected answer: got %s want %s`, string(jsonData), expected)
		return
	}
	os.RemoveAll("test")
}
